using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace WebApplication2.Admin
{
	/// <summary>
	/// Webregedadv 的摘要说明。
	/// </summary>
	public partial class Webregedadv : System.Web.UI.Page
	{
		private static string cmdstr;
		public string cmd_str
		{
			get
			{
				return cmdstr.ToString();
			}
			set
			{
				cmdstr=value;
			}
		}
		protected void Page_Load(object sender, System.EventArgs e)
		{
			if(!Page.IsPostBack)
			{
				if(this.Session["USERNAME"]==null||this.Session["Role"]==null||this.Session["USERNAME"].ToString()==""||this.Session["Role"].ToString()=="")
				{
					Response.Redirect("login.aspx");
				}
				else
				{
					string [] role=this.Session["Role"].ToString().Split('#');
					bool exists=false;
					for(int i=0;i<role.Length;i++)
					{
                        if (role[i].Equals("11") || role[i].Equals("0"))
						{
							exists=true;break;
						}
					}
					if(exists)
					{
					
						cmd_str="";
						this.Label3.Visible=false;
						Bind(1);
					
					}
					else
					{Response.Redirect("NoAuthor.aspx");}
				}
			}
			// 在此处放置用户代码以初始化页面
		}
		private void Bind(int record)
		{
			int maxrecord=20;
			int recordcount;
			int page;
			int startrecord=(record-1)*maxrecord;
			string connstr=System.Configuration.ConfigurationSettings.AppSettings["ConnectionString"];
			SqlConnection conn=new SqlConnection (connstr);
			SqlDataAdapter da=new SqlDataAdapter("select * from ApplicationAdv"+cmd_str+" order by id desc",conn);
			DataSet dataset=new DataSet();
			da.Fill(dataset,startrecord,maxrecord,"websit");
			this.DataGrid1.DataSource=dataset;
			this.DataGrid1.DataBind();
			conn.Close();

			SqlCommand cmd=new SqlCommand("select count(*) from ApplicationAdv"+cmd_str,conn);
			conn.Open();
			recordcount=(int)cmd.ExecuteScalar();

			page=((recordcount%maxrecord)==0)?(recordcount/maxrecord):(recordcount/maxrecord+1);
			
			this.Label1.Text=record.ToString();
			this.Label2.Text=page.ToString();
			
			this.LinkButton1.Enabled=record<=1?false:true;
			this.LinkButton2.Enabled=record<=1?false:true;
			this.LinkButton3.Enabled=record<page?true:false;
			this.LinkButton4.Enabled=record<page?true:false;

					
		}

		protected void gopage(object sender, System.EventArgs e)
		{

			int prepage=Convert.ToInt32(this.Label1.Text.ToString());
		
			int nextpage=Convert.ToInt32(this.Label2.Text.ToString());
			string cmdname=((LinkButton)sender).CommandArgument.ToString();
			switch(cmdname)
			{
				case "pre":
					if(prepage>1)
						prepage--;break;
				case "next":
					if(prepage<nextpage)
						prepage++;break;
				case "frist":prepage=1;break;
				case "end":prepage=nextpage;break;
			}
			
			Bind(prepage);
			
		}
		public string advstate(string state)
		{
			switch(int.Parse(state))
			{
				case 1:return "正常";
				case 2:return "待审";
				case 3:return "禁止";
				case 4:return "暂停";
				case 5:return "停止";
				default:return "";
			}
		}


		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			//this.DataGrid1.ItemCommand += new System.Web.UI.WebControls.DataGridCommandEventHandler(this.DataGrid1_ItemCommand);
			this.DataGrid1.ItemDataBound += new System.Web.UI.WebControls.DataGridItemEventHandler(this.DataGrid1_ItemDataBound);

		}
		#endregion

		protected void Button1_Click(object sender, System.EventArgs e)
		{   
			
			string account=this.TextBox1.Text.Trim();
			string state=this.DropDownList1.SelectedValue;
			cmd_str=" where WebUserName like '%"+account+"%' and Appearance "+state;
			Bind(1);
			if(this.DataGrid1.Items.Count>0)
			{
				this.Label3.Visible=false;
			}
			else
			{
				this.Label3.Visible=true;
			}
			

		}
		public string GetTitle(string id,string table,string title)
		{
			string titles="无";
			SB.ADOHelper help=new SB.ADOHelper();
			if(help.conn.State==ConnectionState.Closed)
			{
				help.conn.Open();
			}
			SqlCommand cmd=new SqlCommand("select "+title+" from "+table+" where id='"+id+"'",help.conn);
			SqlDataReader rd=cmd.ExecuteReader();
			if(rd.Read())
			{
				titles=rd[title].ToString();
			}
		    
			rd.Close();
			help.conn.Close();
			return titles;
		}
        protected void DataGrid1_ItemDataBound(object sender, System.Web.UI.WebControls.DataGridItemEventArgs e)
		{
			ImageButton btn=(ImageButton)e.Item.FindControl("ImageButton2");
			if(btn!=null)
			{
				btn.Attributes.Add("onclick","return confirm('确认要删除吗！？');");
			}
 		}





        protected void DataGrid1_ItemCommand(object source, DataGridCommandEventArgs e)
        {

            SB.ADOHelper help = new SB.ADOHelper();
            string id = this.DataGrid1.DataKeys[e.Item.ItemIndex].ToString();
            if (e.CommandName.ToLower() == "delete")
            {
                help.execSql("delete from ApplicationAdv where id='" + id + "'");
                Bind(1);
            }
            if (e.CommandName.ToLower() == "edit")
            {
                Response.Redirect("ModifWebregedAdv.aspx?id=" + id);
            }
        }
}
	}

